VERSION 5.00
Begin VB.Form FrmMain 
   BackColor       =   &H00C0FFFF&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Villpates - Network Messaging Tool"
   ClientHeight    =   6330
   ClientLeft      =   45
   ClientTop       =   615
   ClientWidth     =   4710
   Icon            =   "FrmMain.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6330
   ScaleWidth      =   4710
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox txtMessage 
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1815
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   4
      Top             =   3960
      Width           =   4455
   End
   Begin VB.ListBox ListofComputers 
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   3210
      ItemData        =   "FrmMain.frx":030A
      Left            =   120
      List            =   "FrmMain.frx":0311
      MultiSelect     =   2  'Extended
      TabIndex        =   1
      Top             =   360
      Width           =   4455
   End
   Begin VB.CommandButton cmdSend 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Send Message"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   3120
      Style           =   1  'Graphical
      TabIndex        =   0
      Top             =   5880
      Width           =   1455
   End
   Begin VB.Label lblAck 
      Alignment       =   2  'Center
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   5
      Top             =   5880
      Width           =   2895
   End
   Begin VB.Label lblCompName 
      BackColor       =   &H00C0FFFF&
      Caption         =   "Select Computer Name (For Multiple Selection use Control key)"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   4575
   End
   Begin VB.Label lblMessage 
      BackColor       =   &H00C0FFFF&
      Caption         =   "Your Message"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   3720
      Width           =   1455
   End
   Begin VB.Menu mnuAbout 
      Caption         =   "About"
   End
   Begin VB.Menu mnuExit 
      Caption         =   "Exit"
   End
End
Attribute VB_Name = "FrmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
Private Sub cmdSend_Click()
    Dim intSelComps As Integer
    Dim intCounterSelected As Integer
    
    lblAck.Caption = ""
    
     For intSelComps = 0 To Me.ListofComputers.ListCount - 1
        If Me.ListofComputers.Selected(intSelComps) = True Then
            intCounterSelected = intCounterSelected + 1
        End If
    Next
    
    If intCounterSelected <= 0 Then
        lblAck.BackColor = &HFF&
        lblAck.Caption = "Select Computer(s)"
        Exit Sub
    Else
        lblAck.BackColor = &HFFFFFF
        lblAck.Caption = ""
    End If
    
    If txtMessage = "" Then
        lblAck.BackColor = &HFF&
        lblAck.Caption = "There is no message to send"
        Exit Sub
    Else
        lblAck.BackColor = &HFFFFFF
        lblAck.Caption = ""
    End If
    
    Call SendMessage
    
End Sub
Private Sub SendMessage()

    On Error GoTo errHandler
    Dim intCounter As Integer
    Dim intCounterSel As Integer
    Dim arrComputers() As String
    
    
    Dim intIDX As Integer
    Dim intSel As Integer
    
    Me.MousePointer = vbHourglass
    DoEvents
    
    For intIDX = 0 To Me.ListofComputers.ListCount - 1
        If Me.ListofComputers.Selected(intIDX) = True Then
            Call Shell("net.exe send " & Me.ListofComputers.List(intIDX) & " " & Me.txtMessage.Text)
            Call Sleep(500)
            intCounter = intCounter + 1
        End If
    Next
    
    For intSel = 0 To Me.ListofComputers.ListCount - 1
        If Me.ListofComputers.Selected(intSel) = True Then
            intCounterSel = intCounterSel + 1
        End If
    Next
    
    Me.txtMessage.Text = ""
    Me.MousePointer = vbDefault
  
    If intCounter = intCounterSel Then
        lblAck.Caption = "Transmission successfull!"
    Else
        lblAck.Caption = "Transmission not successfull!"
    End If
    
    Exit Sub
  
errHandler:
    
    lblAck.BackColor = &HFF&
    lblAck.Caption = "Error while transmitting..Try Again"
         
End Sub

Private Sub Form_Load()
    Dim intIDX As Integer
    Dim ServerList As ListOfServer
  
    lblAck.Caption = ""
    
    MousePointer = vbHourglass
    Me.ListofComputers.Clear
    
    ServerList = EnumServer(SRV_TYPE_ALL)
    If ServerList.Init Then
        For intIDX = 1 To UBound(ServerList.List)
            Me.ListofComputers.AddItem ServerList.List(intIDX).ServerName
        Next
    End If
  
    MousePointer = vbDefault
End Sub


Private Sub mnuAbout_Click()
    frmAbout.Show
End Sub

Private Sub mnuExit_Click()
    End
End Sub
